unit RunPas;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, IniFiles;
type
  TFormRunRas = class(TForm)
    bbRun: TButton;
    lbTest: TLabel;
    sbMesg: TStatusBar;
    lbMainProg: TLabel;
    edMainProg: TEdit;
    mmItog: TMemo;
    lbItog: TLabel;
    cmbCallProg: TComboBox;
    edMainProg0: TEdit;
    cmbCallProg0: TComboBox;
    bbRun0: TButton;
    procedure bbRunClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure cmbCallProgChange(Sender: TObject);
    procedure bbRun0Click(Sender: TObject);
    procedure cmbCallProg0Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormRunRas: TFormRunRas;
  UtInfo   :TStringList; //      / ut...

implementation
uses
 tde75e1_p,tde75e2_p,
 tde76e1_p,tde76e2_p,tde76e3_p,tde76e4_p;
{$R *.dfm}

procedure TFormRunRas.bbRunClick(Sender: TObject);
// 
var
 i           : Integer;
 DatMessg,TitMessg,ErrMessg,outfile   :String;
 Fout        : TextFile;   //  
 Hpr         : Integer;    // 
begin
 DatMessg := '*** '+DateToStr(Date)+' ( '+TimeToStr(Time)+' ) ***';
 TitMessg := ' : ' + edMainProg.Text + '   : ' + cmbCallProg.Items[cmbCallProg.ItemIndex];
 ErrMessg := '  !';
 UtInfo := TStringList.Create; //      / ut...
 UtInfo.Add(DatMessg);
 UtInfo.Add(TitMessg);
 UtInfo.Add('');

 case cmbCallProg.ItemIndex of
  0: UtInfo.Add(tde76e1);
  1: UtInfo.Add(tde76e2);
  2: UtInfo.Add(tde76e3);
  3: UtInfo.Add(tde76e4);
 end;

if FileExists('NAL_DIAG' + '.res')
 then DeleteFile('NAL_DIAG' + '.res');  //  
//outfile := ExtractFilePath(ParamStr(0)) + LowerCase(cmbCallProg.Items[cmbCallProg.ItemIndex]) + '.res'; //  
outfile := ExtractFilePath(ParamStr(0)) + LowerCase(cmbCallProg.Items[cmbCallProg.ItemIndex]) + '.txt'; //  
if FileExists(outfile)
 then DeleteFile(outfile);

 if ( UtInfo.Count=3 )
  then UtInfo.Add(ErrMessg);
 mmItog.Lines.Assign(UtInfo);

 Hpr := FileCreate(outfile);
 FileClose(Hpr);
 AssignFile(Fout, outfile);
 Rewrite(Fout);  //   
 for i:= 0 to UtInfo.Count-1 do    //     
 WriteLn(Fout, UtInfo.Strings[i]);
 CloseFile(Fout);
 UtInfo.Free;
end;
//************************************************
procedure TFormRunRas.FormShow(Sender: TObject);
begin
 cmbCallProg.ItemIndex := 0;
// sbMesg.SimpleText := '  [   ];      : < >/' + cmbCallProg.Items[cmbCallProg.ItemIndex] + '.txt';
 sbMesg.SimpleText := '  [   ];      : < >/< >.txt';
end;
//************************************************
procedure TFormRunRas.cmbCallProgChange(Sender: TObject);
begin
 sbMesg.SimpleText := '  [   ];      : < >/' + cmbCallProg.Items[cmbCallProg.ItemIndex] + '.txt';
end;
//************************************************
procedure TFormRunRas.bbRun0Click(Sender: TObject);
// 
var
 i           : Integer;
 DatMessg,TitMessg,ErrMessg,outfile   :String;
 Fout        : TextFile;   //  
 Hpr         : Integer;    // 
begin
 DatMessg := '*** '+DateToStr(Date)+' ( '+TimeToStr(Time)+' ) ***';
 TitMessg := ' : ' + edMainProg0.Text + '   : ' + cmbCallProg0.Items[cmbCallProg0.ItemIndex];
 ErrMessg := '  !';
 UtInfo := TStringList.Create; //      / ut...
 UtInfo.Add(DatMessg);
 UtInfo.Add(TitMessg);
 UtInfo.Add('');

 case cmbCallProg0.ItemIndex of
  0: UtInfo.Add(tde75e1);
  1: UtInfo.Add(tde75e2);
 end;

if FileExists('NAL_DIAG' + '.res')
 then DeleteFile('NAL_DIAG' + '.res');  //  
//outfile := ExtractFilePath(ParamStr(0)) + LowerCase(cmbCallProg0.Items[cmbCallProg0.ItemIndex]) + '.res'; //  
outfile := ExtractFilePath(ParamStr(0)) + LowerCase(cmbCallProg0.Items[cmbCallProg0.ItemIndex]) + '.txt'; //  
if FileExists(outfile)
 then DeleteFile(outfile);

 if ( UtInfo.Count=3 )
  then UtInfo.Add(ErrMessg);
 mmItog.Lines.Assign(UtInfo);

 Hpr := FileCreate(outfile);
 FileClose(Hpr);
 AssignFile(Fout, outfile);
 Rewrite(Fout);  //   
 for i:= 0 to UtInfo.Count-1 do    //     
 WriteLn(Fout, UtInfo.Strings[i]);
 CloseFile(Fout);
 UtInfo.Free;
end;
//************************************************
procedure TFormRunRas.cmbCallProg0Change(Sender: TObject);
begin
 sbMesg.SimpleText := '  [   ];      : < >/' + cmbCallProg0.Items[cmbCallProg.ItemIndex] + '.txt';
end;

end.

