Unit de75ee_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure DE75EE(M :Integer; K :Integer; IU :Integer; THRESH :Extended;
                var DELTY :Array of Extended; var YX :Array of Extended;
                var U :Array of Extended; var RO :Array of Extended);

implementation

procedure DE75EE(M :Integer; K :Integer; IU :Integer; THRESH :Extended;
                var DELTY :Array of Extended; var YX :Array of Extended;
                var U :Array of Extended; var RO :Array of Extended);
var
L,JN,J,JI :Integer;
V1,V2 :Extended;
label
_10,_15,_25,_30,_35,_40,_50,_60,_70,_80,_90,_100,_110;
begin
case IU of
 1: goto _110;
 2: goto _10;
 3: goto _50;
end;
{  }
{ ---------RELATIVE ERROR------------------------------------------------ }
{  };
_10:
for L:=1 to M do
 begin
  V1 := Abs(YX[L-1]);
  JN := 1;
  if ( V1 > 0.e0 ) 
   then goto _25;
{  }
{ -------FIND THE FIRST NONZERO VALUE }
  for J:=1 to K do
   begin
    V1 := Abs(U[(L-1)+(J-1)*M]);
    if ( V1 = 0.e0 ) 
     then goto _15;
    if ( J = K ) 
     then goto _35;
    JN := J+1;
    goto _25;
_15:
   end;
  goto _40;
{  }
{ -------FIND THE WORSE RELATIVE ERROR AMONG NONZERO VALUES YX AND U }
{  };
_25:
  for J:=JN to K do
   begin
    V2 := Abs(U[(L-1)+(J-1)*M]);
    if ( V2 >= V1 ) 
     then goto _30;
    if ( V2 > 0.e0 ) 
     then V1 := V2;
_30:
   end;
{  };
_35:
  RO[L-1] := DELTY[L-1]/V1;
_40:
 end;
goto _110;
{ ----------------------------------------------------------------------- }
{  }
{ --------MEASURE ERROR-------------------------------------------------- }
{  };
_50:
for L:=1 to M do
 begin
{  }
{ -------FIND VALUE |U(L,J)| > THRESH OR |U(L,J)| = THRESH }
  for J:=1 to K do
   begin
    V1 := Abs(U[(L-1)+(J-1)*M]);
    if ( V1 < THRESH ) 
     then goto _70;
    if ( J = K ) 
     then goto _80;
    JN := J+1;
{  }
{ -------FIND THE WORSE RELATIVE ERROR AMONG |VALUES| '>' OR '=' THRESH }
{  }
    for JI:=JN to K do
     begin
      V2 := Abs(U[(L-1)+(JI-1)*M]);
      if ( V2 < THRESH ) or ( V2 >= V1 ) 
       then goto _60;
      V1 := V2;
_60:
     end;
    goto _80;
_70:
   end;
{  }
{ ----------ALL VALUES |U(L,J)| < THRESH }
{  }
  V1 := Abs(YX[L-1]);
  if ( V1 >= THRESH ) 
   then goto _90;
  goto _100;
{  }
{ -------------THERE IS AT LEAST ONE VALUE |U(L,J)| '>' OR '=' THRESH }
{  };
_80:
  V2 := Abs(YX[L-1]);
  if ( V2 < THRESH ) 
   then goto _90;
  if ( V2 < V1 ) 
   then V1 := V2;
_90:
  RO[L-1] := DELTY[L-1]/V1;
{ ----------------------------------------------------------------------- };
_100:
 end;
_110:
end;

end.
